Subject: bug#65943: closed (Re: bug#65943: Acknowledgement ([PATCH 00/33] Some Go packages))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Sep 2023 07:50:02 +0000

Your bug report

#65943: [PATCH 00/33] Some Go packages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65943: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65943
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65943: Acknowledgement ([PATCH 00/33] Some Go packages)
From: Edouard Klein <[email-masked]>
To: [email-masked]
Date: Thu, 14 Sep 2023 09:48:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Edouard Klein <[email-masked]> writes:

> I would like to apologize for messing up git send-email and opening 33
> useless bugs instead of sending 33 patches on the same thread.
>
> This is clearly a mistake on my end, but I feel this is a good time to
> say that I find the git email workflow extremely clunky and confusing,
> and that it is a huge hurdle for me. There have been time where I did
> not submit patches to guix because I just couldn't be hassled to deal
> with git send-email.
>
> If I could just push a branch to a remote repo, I would do it in a
> heatbeat. I'll launch a thread on guix-devel about that.
>
> Again, this is my mistake here, sorry.
>
> I'll resend the patches on this thread and close the others.
>
> [email-masked] (GNU bug Tracking System) writes:
>
>> Thank you for filing a new bug report with debbugs.gnu.org.
>>
>> This is an automatically generated reply to let you know your message
>> has been received.
>>
>> Your message is being forwarded to the package maintainers and other
>> interested parties for their attention; they will reply in due course.
>>
>> As you requested using X-Debbugs-CC, your message was also forwarded to
>>   Katherine Cox-Buday <[email-masked]>
>> (after having been given a bug report number, if it did not have one).
>>
>> Your message has been sent to the package maintainer(s):
>>  [email-masked]
>>
>> If you wish to submit further information on this problem, please
>> send it to [email-masked].
>>
>> Please do not send mail to [email-masked] unless you wish
>> to report a problem with the Bug-tracking system.

Subject: [PATCH 00/33] Some Go packages
From: Edouard Klein <[email-masked]>
To: [email-masked]
Cc: Edouard Klein <[email-masked]>
Date: Thu, 14 Sep 2023 09:09:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

This is me trying to package go-github-com-hugelgupf-p9.
This repo pulls roughly half of the global Go's ecosystem with it.
On top of that, the automatic importer chokes on some of the
dependencies because upstream's tags are a bit messy, so I had to
manually import most of those.

Anyway, halfway through I had learnt how to package multiple-modules go
repository (see for example go-github-com-u-root-uio-*).

Then I realized that the little utility I'm actually interested in
(go-github-com-hugelgupf-p9-cmd-p9ufs) has very little dependencies
(only two, actually) and that I had done all this for naught.

So, not to let that work go to waste, I included the packages there as
well, they may prove useful to other people.

The payload for me is go-github-com-hugelgupf-p9-cmd-p9ufs and its two
dependencies, go-golang-org-x-sys (updated) and
go-github-com-u-root-uio-ulog.

Some packages have their tests disabled, but it can't be worse than the
package literally not existing.

Cheers,

Edouard

Edouard Klein (33):
  gnu: Add go-github-com-sourcegraph-go-lsp.
  doc: golang: Minor grammar fix on comment
  gnu: Add go-src-elv-sh.
  gnu: Add go-github-com-vishvananda-netns.
  gnu: Add go-github-com-vishvananda-netlink.
  gnu: Add go-github-com-hashicorp-errwrap.
  gnu: Add go-github-com-hashicorp-go-multierror.
  gnu: Add go-github-com-josharian-native.
  gnu: Add go-github-com-pierrec-lz4-v4.
  gnu: Add go-github-com-u-root-uio.
  gnu: Fix go-github-com-u-root-uio.
  gnu: Add go-github-com-u-root-uio-ulog.
  gnu: Add go-github-com-u-root-uio-cp.
  gnu: Add go-github-com-u-root-gobusybox-src-pkg-bb.
  gnu: Add go-github-com-mdlayher-socket.
  gnu: Add go-github-com-mdlayher-packet.
  gnu: Add go-github-com-klauspost-pgzip.
  gnu: Add go-github-com-fanliao-go-promise.
  gnu: Add go-github-com-hugelgupf-socketpair.
  gnu: go-golang-org-x-sys: Update to 0.12.0.
  gnu: go-github-com-frankban-quicktest: Update to 1.14.6.
  gnu: Add go-github-com-cilium-ebpf.
  gnu: Add go-github-com-mdlayher-netlink.
  gnu: Add go-github-com-jsimonetti-rtnetlink.
  gnu: Add go-github-com-neelance-astrewrite.
  gnu: Add go-github-com-neelance-sourcemap.
  gnu: Add go-github-com-shurcool-go-importgraphutil.
  gnu: Add go-github-com-inconshreveable-mousetrap.
  gnu: Add go-github-com-u-root-uio-rand.
  gnu: Add go-github-com-insomniacslk-dhcp-dhcpv4.
  gnu: Add go-github-com-netflix-go-expect.
  gnu: Add go-cloud-google-com-go-workflows.
  gnu: Add go-github-com-hugelgupf-p9-cmd-p9ufs.

 gnu/packages/golang.scm | 828 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 820 insertions(+), 8 deletions(-)

base-commit: 2eb6df537c36da8bf8e81ff698421f6fb1bfd1ab
-- 
2.40.1